Bug 114040 - rpm does not install file contexts if file_contexts/file_contexts file missing.
rpm does not install file contexts if file_contexts/file_contexts file missing.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
: Security
: 113512 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-21 14:35 EST by Daniel Walsh
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-15 22:47:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Walsh 2004-01-21 14:35:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040115

Description of problem:
  Current status on a
machine here running rawhide (rpm-4.3-0.7.1) is that:
- rpm -Uvh foo.rpm will try to determine file contexts from
/etc/security/selinux/src/policy/file_contexts/file_contexts if it
exists and apply them in that case.
- otherwise, rpm doesn't appear to set file contexts, even if they are
included in the header,


Version-Release number of selected component (if applicable):
rpm-4.3-0.7.1

How reproducible:
Always

Steps to Reproduce:
1.get a package including file_contexts
2.remove /etc/security/selinux/src/policy/file_contexts/file_contexts
3.rpm install
    

Actual Results:  Gets default contexts

Expected Results:  Gets correct context.

Additional info:
Comment 1 Jeff Johnson 2004-01-25 22:16:22 EST
*** Bug 113512 has been marked as a duplicate of this bug. ***
Comment 2 Jeff Johnson 2004-02-15 22:47:10 EST
FIxed in CVS, will be in rpm-4.3-0.11 when built.

Note You need to log in before you can comment on or make changes to this bug.